// Lee Spector, lspector@hampshire.edu

// a few globals are used to specify font display parameters and to keep track of the line number
int margin = 20;
int font_size = 24;
int leading = 4;
int line_number = 0;

// the setup() method includes code to load and specify the font
void setup () {
  size(600, 400);
  background(255); // white
  noLoop();
  // Fonts must be placed within the data directory of your sketch
  PFont fontA = loadFont("Ziggurat-HTF-Black-32.vlw");
  //PFont fontA = loadFont("CourierNewPSMT-24.vlw");
  // Set the font and its size (in units of pixels)
  textFont(fontA, font_size);
}

// this textln method can be used in place of println to send text BOTH to the
// console and to the graphic/applet display
void textln(String text_to_print) {
  int max_lines = (height - (2 * margin)) / (font_size + leading);
  println(text_to_print);
  // Use fill() to change the value or color of the text
  fill(0);
  text(text_to_print, margin, margin + ((line_number + 1) *( font_size + leading)));
  line_number = (line_number + 1) % max_lines;
}

// top level draw function -- print some sentences
void draw () {
  textln("Heaven is a place where nothing ever happens.");
  textln("ALL YOUR BASE ARE BELONG TO US");
  textln("All is flux.");
}















