// Lee Spector, lspector@hampshire.edu

import java.awt.TextArea; 

TextArea screen_text;

void setup () {
  size(500, 400); 
  background(255); // white
  screen_text = new TextArea("",23,45,1); 
  this.add(screen_text);
  noLoop(); // must be last thing in setup()
}

// print text to the field on the screen
void print_to_field(String text_to_print) {
  screen_text.append(text_to_print);
}

// print a newline to the field on the screen
void print_newline_to_field() {
  screen_text.append("\n");
}

/////////////////////////////////////////////////////////////

void print_float_with_stars (float x) {
  print_to_field ("***** ");
  print_to_field (str(x));
  print_to_field (" *****");
}

void print_string_with_stars (String s) {
  print_to_field ("***** ");
  print_to_field (s);
  print_to_field (" *****");
}
  
void draw () {
  float num = 1.23456;
  
  print_float_with_stars (num);
  print_newline_to_field();
  
  print_string_with_stars (str(num));
  print_newline_to_field();
}
















